RC2ParameterSpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.RC2ParameterSpec,RC2ParameterSpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class RC2ParameterSpec

    java.lang.Object
      |
      +--javax.crypto.spec.RC2ParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class RC2ParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies the parameters used with the RC2 algorithm.

The parameters consist of an effective key size and optionally an 8-byte initialization vector (IV) (only in feedback mode).

This class can be used to initialize a `Cipher` object that implements the RC2 algorithm.

Constructor Summary
`RC2ParameterSpec(int effectiveKeyBits)` Constructs a parameter set for RC2 from the given effective key size (in bits).
`RC2ParameterSpec(int effectiveKeyBits, byte[] iv)` Constructs a parameter set for RC2 from the given effective key size (in bits) and an 8-byte IV.
`RC2ParameterSpec(int effectiveKeyBits, byte[] iv, int offset)` Constructs a parameter set for RC2 from the given effective key size (in bits) and IV.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests for equality between the specified object and this object.
`int` | `getEffectiveKeyBits()` Returns the effective key size in bits.
`byte[]` | `getIV()` Returns the IV or null if this parameter set does not contain an IV.
`int` | `hashCode()` Calculates a hash code value for the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RC2ParameterSpec

    public RC2ParameterSpec(int effectiveKeyBits)

  Constructs a parameter set for RC2 from the given effective key size (in bits).

Parameters:
  `effectiveKeyBits` - the effective key size in bits.

### RC2ParameterSpec

    public RC2ParameterSpec(int effectiveKeyBits,
                            byte[] iv)

  Constructs a parameter set for RC2 from the given effective key size (in bits) and an 8-byte IV.

  The bytes that constitute the IV are those between `iv[0]` and `iv[7]` inclusive.

Parameters:
  `effectiveKeyBits` - the effective key size in bits.
  `iv` - the buffer with the 8-byte IV.

### RC2ParameterSpec

    public RC2ParameterSpec(int effectiveKeyBits,
                            byte[] iv,
                            int offset)

  Constructs a parameter set for RC2 from the given effective key size (in bits) and IV.

  The IV is taken from `iv`, starting at `offset` inclusive. The bytes that constitute the IV are those between `iv[offset]` and `iv[offset+7]` inclusive.

Parameters:
  `effectiveKeyBits` - the effective key size in bits.
  `iv` - the buffer with the IV.
  `offset` - the offset in `iv` where the 8-byte IV starts.

Method Detail

### getEffectiveKeyBits

    public int getEffectiveKeyBits()

  Returns the effective key size in bits.

  Returns:
    the effective key size in bits.

### getIV

    public byte[] getIV()

  Returns the IV or null if this parameter set does not contain an IV.

  Returns:
    the IV or null if this parameter set does not contain an IV.

### equals

    public boolean equals(java.lang.Object obj)

  Tests for equality between the specified object and this object. Two RC2ParameterSpec objects are considered equal if their effective key sizes and IVs are equal. (Two IV references are considered equal if both are `null`.)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test for equality with this object.
  Returns:
    true if the objects are considered equal, false otherwise.

### hashCode

    public int hashCode()

  Calculates a hash code value for the object. Objects that are equal will also have the same hashcode.

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.